Page MenuHomePhabricator

Square brackets shown around the expand/collapse icons on RC
Closed, ResolvedPublic

Description

On https://de.wikipedia.beta.wmflabs.org/wiki/Spezial:Letzte_%C3%84nderungen?enhanced=1 (i.e. Recent Changes with page grouping enabled), the triangular icons to expand/collapse the group of changes to the same page are now surrounded with square brackets, which degrades the design.
This is probably caused by rMW46a7aa7e3e8e: jquery.makeCollapsible: Use pseudo elements for square brackets around toggle.

Event Timeline

Schnark created this task.Apr 13 2018, 8:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2018, 8:47 AM
Ciencia_Al_Poder triaged this task as Unbreak Now! priority.Apr 18 2018, 9:29 AM

This happens also on mediawiki.org now, see T192435

Raising priority before it impacts actual wikipedias

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 18 2018, 9:29 AM

Seems like a small visual regression. Should this block train? Adding @Konfused-Kitten as the author and @Krinkle as committer.

Also adding @Jdlrobson since he was the author according to https://gerrit.wikimedia.org/r/#/c/424164/3 (not sure why rMW46a7aa7e3e8e shows something different)

Should this be UBN? While it looks kinda weird, it does still work.

matmarex claimed this task.Apr 18 2018, 8:00 PM

Change 427476 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Recent Changes should disable pseudo elements around collapse controls

https://gerrit.wikimedia.org/r/427476

Change 427478 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427478

matmarex added a comment.EditedApr 18 2018, 8:05 PM

This affects other pre-generated toggles too, e.g. "Pre-made toggle" on https://www.mediawiki.org/wiki/Manual:Collapsible_elements/Demo/Advanced

matmarex updated the task description. (Show Details)Apr 18 2018, 8:08 PM

Change 427476 abandoned by Jdlrobson:
Recent Changes should disable pseudo elements around collapse controls

Reason:
your approach is much better yes

https://gerrit.wikimedia.org/r/427476

Change 427478 merged by jenkins-bot:
[mediawiki/core@master] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427478

Restricted Application added a project: Product-Analytics. · View Herald TranscriptApr 18 2018, 11:32 PM
hoo closed this task as Resolved.Apr 19 2018, 12:00 AM
hoo removed a project: Patch-For-Review.

Does this not need to be SWATed?

Change 427709 had a related patch set uploaded (by Thcipriani; owner: Bartosz Dziewoński):
[mediawiki/core@wmf/1.31.0-wmf.30] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427709

Change 427709 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.30] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427709

Mentioned in SAL (#wikimedia-operations) [2018-04-19T18:32:58Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.30/resources/src/jquery: [[gerrit:427709|jquery.makeCollapsible: Only add "[" "]" to autogenerated toggles]] T192140 (duration: 01m 17s)

Change 427762 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@REL1_31] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427762

Change 427762 merged by jenkins-bot:
[mediawiki/core@REL1_31] jquery.makeCollapsible: Only add '[' ']' to autogenerated toggles

https://gerrit.wikimedia.org/r/427762